<?php

namespace MathPHP\Tests\Util;

class IteratorAggregateFixture implements \IteratorAggregate
{
    /** @var array */
    private $values;

    /**
     * @param array $values
     */
    public function __construct($values)
    {
        $this->values = $values;
    }

    public function getIterator()
    {
        return new \ArrayIterator($this->values);
    }
}
